### Enumeration

# Meta CompEffect

#### Declaration

    enum Meta.CompEffect

#### Description [src]

Indicates the appropriate effect to show the user for `meta_compositor_show_window()` and meta_compositor_hide_window().

#### Members

`META_COMP_EFFECT_CREATE`

  The window is newly created (also used for a window that was previously on a different workspace and is changed to become visible on the active workspace.).

  - Value: `0`
  - Available since: 14
`META_COMP_EFFECT_UNMINIMIZE`

  The window should be shown as unminimizing from its icon geometry.

  - Value: `1`
  - Available since: 14
`META_COMP_EFFECT_DESTROY`

  The window is being destroyed.

  - Value: `2`
  - Available since: 14
`META_COMP_EFFECT_MINIMIZE`

  The window should be shown as minimizing to its icon geometry.

  - Value: `3`
  - Available since: 14
`META_COMP_EFFECT_NONE`

  No effect, the window should be shown or hidden immediately.

  - Value: `4`
  - Available since: 14